Subject: Re: git-{diff,merge} refactor round 2

From: David Aguilar <[email-masked]>
Date: Sat, 4 Apr 2009 20:34:44 -0700

On  0, Markus Heidelberg <[email-masked]> wrote:
> David Aguilar, 01.04.2009:
> > Here's the 2nd round of refactoring.
> 
> I just noticed that mergetool.<mergetool>.path doesn't work anymore.
> git grep mergetool.*path only hits one line in git-difftool--helper.sh
> Neither does it seem to work with difftool, but I'm gonna go to bed now.
> 
> Markus
> 

Oops.  Well, I have one final patch that removes the last bit of
redundant code.  It also fixed this problem so I'll go ahead
and send it (it's based on top of da/difftool mentioned in
pu).

Since the test cases didn't catch that breakage I added a test
for it. 

Look for a patch called:

mergetool--lib: consolidate the last redundant bits in {diff,merge}tool

-- 

	David